#@TYPE: Machine
#@NAME: xuantie
#@SOC: XuanTie Light
#@DESCRIPTION: Machine configuration for the HiFive Unleashed development board

require conf/machine/include/thead-base.inc

SERIAL_CONSOLES = "115200;ttySIF0"
MACHINE_EXTRA_RRECOMMENDS += "kernel-modules"

IMAGE_FSTYPES += "ext4"
#KERNEL_DEVICETREE ?= "thead/light-c910.dtb"
UBOOT_MACHINE = "ice_evb_c860_defconfig"
UBOOT_ENTRYPOINT = "0x80200000"
UBOOT_DTB_LOADADDRESS = "0x82200000"

PREFERRED_PROVIDER_virtual/kernel ?= "linux-thead"
PREFERRED_PROVIDER_virtual/bootloader ?= "u-boot"
PREFERRED_VERSION_linux-thead = "5.10.4"
PREFERRED_VERSION_u-boot = "1:2020.10"
